org.jgrapht.experimental.alg.color

## Class GreedyColoring<V,E>

- java.lang.Object
- - org.jgrapht.experimental.alg.IntArrayGraphAlgorithm<V,E>
  - - org.jgrapht.experimental.alg.color.GreedyColoring<V,E>

- All Implemented Interfaces:
    ApproximationAlgorithm<Integer,V>

      public class GreedyColoring<V,E>
      extends IntArrayGraphAlgorithm<V,E>
      implements ApproximationAlgorithm<Integer,V>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BEST_ORDER`
    `static int` | `LARGEST_SATURATION_FIRST_ORDER`
    `static int` | `NATURAL_ORDER`
    `static int` | `SMALLEST_DEGREE_LAST_ORDER`

    - ### Fields inherited from class org.jgrapht.experimental.alg.IntArrayGraphAlgorithm

      `_neighbors, _vertexToPos, _vertices`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GreedyColoring(Graph<V,E> g)`
    `GreedyColoring(Graph<V,E> g, int method)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getLowerBound(Map<V,Object> optionalData)`
    `Integer` | `getUpperBound(Map<V,Object> optionalData)`
    `boolean` | `isExact()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BEST_ORDER

          public static final int BEST_ORDER

      See Also:
        Constant Field Values

    - #### NATURAL_ORDER

          public static final int NATURAL_ORDER

      See Also:
        Constant Field Values

    - #### SMALLEST_DEGREE_LAST_ORDER

          public static final int SMALLEST_DEGREE_LAST_ORDER

      See Also:
        Constant Field Values

    - #### LARGEST_SATURATION_FIRST_ORDER

          public static final int LARGEST_SATURATION_FIRST_ORDER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GreedyColoring

          public GreedyColoring(Graph<V,E> g)

      Parameters:
        `g` -

    - #### GreedyColoring

          public GreedyColoring(Graph<V,E> g,
                        int method)

      Parameters:
        `g` -

  - ### Method Detail

    - #### getLowerBound

          public Integer getLowerBound(Map<V,Object> optionalData)

      Specified by:
        `getLowerBound` in interface `ApproximationAlgorithm<Integer,V>`

    - #### getUpperBound

          public Integer getUpperBound(Map<V,Object> optionalData)

      Specified by:
        `getUpperBound` in interface `ApproximationAlgorithm<Integer,V>`

    - #### isExact

          public boolean isExact()

      Specified by:
        `isExact` in interface `ApproximationAlgorithm<Integer,V>`

Copyright © 2016. All rights reserved.